<?php
  define('_IN_JOHNCMS', 1);
$headmod = 'war worlds';
$textl = 'Инвентарь';
require_once ("../incfiles/core.php");
require_once ("../incfiles/head.php");


if (!$user_id) {
    header('Location: http://nadmad.ru');
    exit;
}
include_once("tmn.php");
$action=htmlspecialchars(trim($_GET['action']));

switch ($action){

default:
echo '<div class="phdr">Инвентарь</div>';

$tovar=mysql_result(mysql_query("SELECT count(*) FROM `wwinv` WHERE `uid` = '$user_id'"),0);

if($tovar==0){echo '<div class="menu">Пусто</div>';break;};


$result = mysql_query("SELECT clas FROM uww WHERE uid='$user_id'");

$myrow = mysql_fetch_array($result);

$clas = $myrow['clas'];

$cena=mysql_query("SELECT * FROM `wwinv` WHERE `uid` = '$user_id' ORDER BY `id`");
while($row=mysql_fetch_assoc($cena)){
echo'<a href="?action=info&amp;id='.$row['id'].'">'.$row['name'].'</a><br/>';
if($row['odet'] == 0) {
echo '<small><a href="?action=odet&amp;id='.$row['id'].'">Одеть</a>';

$ves4=mysql_query("SELECT * FROM `wwbazar` WHERE `vid`='$row[id]' AND `uid` = '$user_id'");
if(!mysql_num_rows($ves4)){
echo ' | <a href="bazar.php?action=sell&amp;id='.$row['id'].'">Выставить на продажу!</a></small><br/>';
}else{
   echo ' | <a href="bazar.php?action=sniat&amp;id='.$row['id'].'">Снять с продажы!</a></small><br/>';
 
}
} else {
    echo '<small><a href="?action=sniat&amp;id='.$row['id'].'">Снять</a></small>';

}
};

break;

case 'info':

$pr=(int)$_GET['id'];
$plus=mysql_query("SELECT * FROM `wwinv` WHERE `id`='$pr' AND `uid` = '$user_id'");

if(!mysql_num_rows($plus)){echo 'Ошибка: У вас нет такого оружия/брони';}else{
$rise=mysql_fetch_assoc($plus);
$user=$datauser;
if(!$user_id){
     echo 'Только для зарегистрированых!';
}
else{
    echo '<img src="images/'.$rise['logo'].'" alt=""/><br/>'; 
echo 'Название: '.$rise['name'].'<br />';
echo'Параметры:<br />';
if($rise['brona'] == 0) {
echo'<font color="blue"> Мин.Урон: '.$rise['min_uron'].'<br /> Макс.Урон: '.$rise['max_uron'].'</font><br/>';}
else {
    echo'<font color="blue">Защита: '.$rise['brona'].'</font><br/>';
};
if($rise['odet'] == 0) {
echo '<a href="?action=odet&amp;id='.$rise['id'].'">Одеть</a>';

$ves4=mysql_query("SELECT * FROM `wwbazar` WHERE `vid`='$pr' AND `uid` = '$user_id'");

if(!mysql_num_rows($ves4)){
echo ' (Цена продажи: '.round($rise['cena']/2).') <a href="?action=delete&amp;id='.$rise['id'].'"><small> [Продать]</small></a> | <a href="bazar.php?action=sell&amp;id='.$rise['id'].'"><small>Выставить на продажу!</small></a><br />';
}
};
if($rise['odet'] == 1) {
echo '<a href="?action=sniat&amp;id='.$rise['id'].'">Снять</a>';};
}}
break;

case 'delete':

$pr=(int)$_GET['id'];
$plus=mysql_query("SELECT * FROM `wwinv` WHERE `id`='$pr' AND `uid` = '$user_id'");
if(!mysql_num_rows($plus)){echo 'Такого оружия не существует!';}else{
$rise=mysql_fetch_assoc($plus);
if($rise['odet'] == 1){echo 'Сначала снимите эту вещь! ';}break;
$user=$datauser;
mysql_query("UPDATE `uww` SET `coins`=`coins`+'".round($rise['cena']/2)."' WHERE `uid`='".$user_id."'");
mysql_query("DELETE FROM `wwinv` WHERE `id` = '$pr' AND `uid` = '$user_id' LIMIT 1");

echo 'Вы успешно продали '.$rise['name'].' за '.round($rise['cena']/2).' монет';}
break;

case 'sniat':
$pr=(int)$_GET['id'];
$plus=mysql_query("SELECT * FROM `wwinv` WHERE `id`='$pr' AND `uid` = '$user_id'");

if(!mysql_num_rows($plus)){echo 'Этой вещи не существует или она не ваша!';}else{
        
$rise=mysql_fetch_assoc($plus);


    $pl=mysql_query("SELECT * FROM `uww` WHERE `uid` = '$user_id'");
$user=mysql_fetch_assoc($pl);
if($rise['nad'] == 1) {
    $type = 1;
}

if($rise['nad'] == 2) {
    $type = 2;
}
if($rise['nad'] == 3) {
    $type = 3;
}

if($rise['nad'] == 4) {
    $type = 4;
}

if($type == 1) {
    $what = $user['head'];
}
if($type == 2) {
    $what = $user['tors'];
}
if($type == 3) {
    $what = $user['ruka'];
}
if($type == 4) {
    $what = $user['foot'];
}
elseif($what == 0) {
    echo 'Вы не надели никакой вещи! 0_o Что будете снимать? ';
}else {

$users=$datauser;
mysql_query("UPDATE `wwinv` SET `odet`= '0' WHERE `id` = '$pr' AND `uid`='".$user_id."'");
if($user['clas'] == 1) 
{
    $hp = 120;
    $bron = 5;
    $minu = 4;
    $maxu = 7;  
}

if($user['clas'] == 2) 
{
    $hp = 110;
    $bron = 3;
    $minu = 1;
    $maxu = 8;
}

if($user['clas'] == 3) 
{
    $bron = 1;
    $hp = 100;
    $minu = 5;
    $maxu = 8;
    $img = 'mag';
}

if($rise['brona'] == 0){
    if($rise['nad'] == 1){
        mysql_query("UPDATE `uww` SET `head`= '0' WHERE `uid`='".$user_id."'");
    }
        elseif($rise['nad'] == 2){
        mysql_query("UPDATE `uww` SET `tors`= '0' WHERE `uid`='".$user_id."'");
    }
        elseif($rise['nad'] == 3){
        mysql_query("UPDATE `uww` SET `ruka`= '0' WHERE `uid`='".$user_id."'");
    }
        elseif($rise['nad'] == 4){
        mysql_query("UPDATE `uww` SET `foot`= '0' WHERE `uid`='".$user_id."'");}
mysql_query("UPDATE `uww` SET `minu`= '$minu' WHERE `uid`='".$user_id."'");
mysql_query("UPDATE `uww` SET `maxu`= '$maxu' WHERE `uid`='".$user_id."'");
}else{
        if($rise['nad'] == 1){
        mysql_query("UPDATE `uww` SET `head`= '0' WHERE `uid`='".$user_id."'");
    }
        if($rise['nad'] == 2){
        mysql_query("UPDATE `uww` SET `tors`= '0' WHERE `uid`='".$user_id."'");
    }
        if($rise['nad'] == 3){
        mysql_query("UPDATE `uww` SET `ruka`= '0' WHERE `uid`='".$user_id."'");
    }
        if($rise['nad'] == 4){
        mysql_query("UPDATE `uww` SET `foot`= '0' WHERE `uid`='".$user_id."'");
    }
    mysql_query("UPDATE `uww` SET `brona`= '$brona' WHERE `uid`='".$user_id."'");
};
if($rise['brona'] == 0){
    echo 'Выполнено! Вы сняли '.$rise['name'].' Теперь ваш минимальный и максимальный урон уменьшился! Советуем надеть любую вещь! <br/>';}

else{
echo 'Выполнено! Вы сняли '.$rise['name'].' Теперь ваша защита уменьшилась! Советуем надеть любую вещь! <br/>';}

};
};
break;


case 'odet':
$pr=(int)$_GET['id'];
$plus=mysql_query("SELECT * FROM `wwinv` WHERE `id`='$pr' AND `uid` = '$user_id'");



if(!mysql_num_rows($plus)){echo 'Этой вещи не существует или она не ваша!';}else{
        
$rise=mysql_fetch_assoc($plus);


$ves4=mysql_query("SELECT * FROM `wwbazar` WHERE `vid`='$pr' AND `uid` = '$user_id'");

if(mysql_num_rows($ves4)){echo 'Эта вещь выставлена на продажу! Для использования вещи снимите ее с продажи!';break;}


    $pl=mysql_query("SELECT * FROM `uww` WHERE `uid` = '$user_id'");
$user=mysql_fetch_assoc($pl);
if($rise['nad'] == 1) {
    $what = $user['head'];
}
if($rise['nad'] == 2) {
    $what = $user['tors'];
}
if($rise['nad'] == 3) {
    $what = $user['ruka'];
}
if($rise['nad'] == 4) {
    $what = $user['foot'];
}
if($what == 1) {
    echo 'Сначала снимите вещь которую вы надели раньше!';
};

mysql_query("UPDATE `wwinv` SET `odet`= '1' WHERE `id` = '$pr' AND `uid`='".$user_id."'");
if($rise['brona'] == 0){
    if($rise['nad'] == 1){
        mysql_query("UPDATE `uww` SET `head`= '1' WHERE `uid`='".$user_id."'");
    }
        if($rise['nad'] == 2){
        mysql_query("UPDATE `uww` SET `tors`= '1' WHERE `uid`='".$user_id."'");
    }
        if($rise['nad'] == 3){
        mysql_query("UPDATE `uww` SET `ruka`= '1' WHERE `uid`='".$user_id."'");
    }
        if($rise['nad'] == 4){
        mysql_query("UPDATE `uww` SET `foot`= '1' WHERE `uid`='".$user_id."'");
    }
mysql_query("UPDATE `uww` SET `minu`= '$rise[min_uron]' WHERE `uid`='".$user_id."'");
mysql_query("UPDATE `uww` SET `maxu`= '$rise[max_uron]' WHERE `uid`='".$user_id."'");
}elseif($rise['brona'] > 0){
        if($rise['nad'] == 1){
        mysql_query("UPDATE `uww` SET `head`= '1' WHERE `uid`='".$user_id."'");
    }
        if($rise['nad'] == 2){
        mysql_query("UPDATE `uww` SET `tors`= '1' WHERE `uid`='".$user_id."'");
    }
        if($rise['nad'] == 3){
        mysql_query("UPDATE `uww` SET `ruka`= '1' WHERE `uid`='".$user_id."'");
    }
        if($rise['nad'] == 4){
        mysql_query("UPDATE `uww` SET `foot`= '1' WHERE `uid`='".$user_id."'");
    }
    mysql_query("UPDATE `uww` SET `brona`= '$rise[brona]' WHERE `uid`='".$user_id."'");
};
echo 'Выполнено! Вы успешно одели '.$rise['name'].'<br/>';}
break;

echo '<div class="menu"><a href="index.php>В игру</a></div>';
};
include_once("foot.php");
echo '<div class="menu"><a href="index.php">В игру</a></div>';
require_once ("../incfiles/end.php");
?>									